Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.operation
Class LockFeatureResponse

    java.lang.Object
      org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
          org.deegree.ogcwebservices.wfs.operation.LockFeatureResponse

All Implemented Interfaces:
  OGCWebServiceResponse

    public class LockFeatureResponse

extends DefaultOGCWebServiceResponse

Represents the response to a `LockFeature` request. In response to a <LockFeature> request, the web feature server shall generate an XML document containing a lock identifier that a client application can reference when operating upon the `locked` features. The response can also contain optional blocks depending on the value of the `lockAction` attribute.

Version:
  $Revision: 18195 $
Author:
  Andreas Poth , Markus Schneider, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`exception, request`

Constructor Summary
`LockFeatureResponse(LockFeature request, String lockId, String[] featuresLocked, String[] featuresNotLocked)` Creates a new instance of `LockFeatureResponse`.

Method Summary
`String[]` | `getFeaturesLocked()` Returns the feature identifiers of all features that have been locked successfully.
`String[]` | `getFeaturesNotLocked()` Returns the feature identifiers of all features that were requested for locking, but which could not be locked.
`String` | `getLockId()` Returns the lock identifier.
`String` | `toString()`

Methods inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`getException, getRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LockFeatureResponse

    public LockFeatureResponse(LockFeature request,
                               String lockId,
                               String[] featuresLocked,
                               String[] featuresNotLocked)

  Creates a new instance of `LockFeatureResponse`.

  Parameters:
    `request` - `LockFeature` request for which the response is generated
    `lockId` - lock identifier (must not be null)
    `featuresLocked` - ids of succesfully locked features (may not be null, but empty)
    `featuresNotLocked` - ids of features that could not be locked sucessfully (may not be null, but empty)

Method Detail

### getLockId

    public String getLockId()

  Returns the lock identifier.

  Returns:
    the lock identifier

### getFeaturesLocked

    public String[] getFeaturesLocked()

  Returns the feature identifiers of all features that have been locked successfully.

  Returns:
    the feature identifiers of all features that have been locked successfully, (array may not be null, but empty)

### getFeaturesNotLocked

    public String[] getFeaturesNotLocked()

  Returns the feature identifiers of all features that were requested for locking, but which could not be locked.

  Returns:
    the feature identifiers of all features that were requested for locking, but which could not be locked, (array may not be null, but empty)

### toString

    public String toString()

  Overrides:
    `toString` in class `DefaultOGCWebServiceResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org